//*****************************************************************************
//*
//*
//*		IpSwitcherDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_IPSWITCHERDLG_H__F41FCA55_4F4F_4280_80C0_AB0FF518DC9A__INCLUDED_
#define		AFX_IPSWITCHERDLG_H__F41FCA55_4F4F_4280_80C0_AB0FF518DC9A__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif

#define 	MAX_IPINFO		8
#define 	MAX_BUTTONS		16

//*****************************************************************************
//*
//*		CIpSwitcherDlg Dialogfeld
//*
//*****************************************************************************
class CIpSwitcherDlg : public CDialog
{
public:

	CIpSwitcherDlg(CWnd* pParent = NULL);						// Standard-Konstruktor
	static int Execute(LPCTSTR pName,CWnd *pParent=0);

	//{{AFX_DATA(CIpSwitcherDlg)
	enum { IDD = IDD_IPSWITCHER_DIALOG };
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CIpSwitcherDlg)
protected:
	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	HICON			m_hIcon;
	UINT			m_uIpInfoCnt;	
	UINT			m_uButtonCnt;
	CStatic			m_aIpInfo [MAX_IPINFO ];
	CButton			m_aButtons[MAX_BUTTONS];
	CStringChain	m_sList;

	//{{AFX_MSG(CIpSwitcherDlg)
	virtual BOOL OnInitDialog();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg HBRUSH  OnCtlColor(CDC *pDC,CWnd *pWnd,UINT nCtlColor);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnConfig();
	afx_msg void OnSelect();
	afx_msg void OnSelectBt(UINT nID); 
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void UpdateLayout();
	void UpdateInfos();

};

//{{AFX_INSERT_LOCATION}}

#endif
