//*****************************************************************************
//*
//*
//*		KeyDialog.h
//*
//*
//*****************************************************************************
#ifndef		AFX_KEYDIALOG_H__D6830A7C_D23D_4E15_A6D8_ECE1FCA4B5F2__INCLUDED_
#define		AFX_KEYDIALOG_H__D6830A7C_D23D_4E15_A6D8_ECE1FCA4B5F2__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif

//*****************************************************************************
//*
//*		Dialogfeld CKeyDialog
//*
//*****************************************************************************
class CKeyDialog : public CDialog
{
public:
	CKeyDialog(CWnd* pParent = NULL);							// Standardkonstruktor

	//{{AFX_DATA(CKeyDialog)
	enum { IDD = IDD_KEYDIALOG };
	CString m_sName;
	CString m_sAddr;
	CString m_sMask;
	CString	m_sGate;
	CString	m_sSrv1;
	CString	m_sSrv2;
	int		m_iCard;
	int		m_iMode;
	//}}AFX_DATA

	CString m_sCard;
	CString m_sOldGate;
	CString m_sOldCard;
	CString m_sOldName;
	CString m_sOldAddr;
	CString m_sOldMask;
	CString m_sOldSrv1;
	CString m_sOldSrv2;
	int		m_iOldMode;
	BOOL	m_bChanged;


	//{{AFX_VIRTUAL(CKeyDialog)
protected:
	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CKeyDialog)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnChangeAddr();
	afx_msg void OnChangeName();
	afx_msg void OnChangeMask();
	afx_msg void OnChangeGate();
	afx_msg void OnChangeSrv1();
	afx_msg void OnChangeSrv2();
	afx_msg HBRUSH OnCtlColor(CDC *pDC, CWnd *pWnd, UINT nCtlColor);
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	//}}AFX_MSG
	
	afx_msg void OnRadio();

	DECLARE_MESSAGE_MAP()

	BOOL			m_bIsDhcp;
	BOOL			m_bIsAddrOk;
	BOOL			m_bIsMaskOk;
	BOOL			m_bIsNameOk;
	BOOL			m_bIsGateOk;
	BOOL			m_bIsSrv1Ok;
	BOOL			m_bIsSrv2Ok;
	static CBrush	m_hErrBrush;

};

//{{AFX_INSERT_LOCATION}}

#endif
