//*****************************************************************************
//*
//*
//*		ConfigDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_CONFIGDLG_H__6CCBA752_522F_4E59_A404_855BA1491FB6__INCLUDED_
#define		AFX_CONFIGDLG_H__6CCBA752_522F_4E59_A404_855BA1491FB6__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif

//*****************************************************************************
//*
//*		Dialogfeld CConfigDlg
//*
//*****************************************************************************
class CConfigDlg : public CDialog
{
public:

	CConfigDlg(CWnd *pParent = NULL);							// Standardkonstruktor

	//{{AFX_DATA(CConfigDlg)
	enum { IDD = IDD_CONFIGDLG };
	CListCtrl	m_cNameList;
	CListCtrl	m_cAddrList;
	CListCtrl	m_cCardList;
	BOOL		m_bDontClose;
	//}}AFX_DATA

	CStringChain	m_sMacSelect;
	BOOL			m_bSelChanged;
	BOOL			m_bKeyChanged;

	//{{AFX_VIRTUAL(CConfigDlg)
protected:
	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CConfigDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnAdd();
	afx_msg void OnDel();
	afx_msg void OnEdit();
	afx_msg void OnSelKey     (NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelChanged (NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDoubleClick(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	
	DECLARE_MESSAGE_MAP()

	int			m_iCurSelected;
	unsigned 	m_uCards;

	static int ColSize(CListCtrl &cList,int iSize,int iFull);
	static int SortIpList(const void *pPtr1,const void *pPtr2);
};

//{{AFX_INSERT_LOCATION}}

#endif
