//*****************************************************************************
//*
//*
//*		IpSwitcher.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"IpSwitcher.h"
#include	"IpSwitcherDlg.h"
#include	"NetFunctions.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

// CIpSwitcherApp

BEGIN_MESSAGE_MAP(CIpSwitcherApp, CWinApp)
	//{{AFX_MSG_MAP(CIpSwitcherApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

// Das einzige CIpSwitcherApp-Objekt
CIpSwitcherApp theApp;


//*****************************************************************************
//*
//*		CIpSwitcherApp
//*
//*****************************************************************************
//  CIpSwitcherApp Konstruktion
CIpSwitcherApp::CIpSwitcherApp()
{
}

//*****************************************************************************
//*
//*		InitInstance
//*
//*****************************************************************************
//  CIpSwitcherApp Initialisierung
BOOL CIpSwitcherApp::InitInstance()
{


	if(__argc>1)
		{
		NetInit();
		CIpSwitcherDlg::Execute(__targv[1]);
		NetExit();
		return FALSE;
		}

	NetInit();
	AfxUtilityInit();
	AfxEnableControlContainer();


	#ifdef		_AFXDLL 				
	Enable3dControls(); 	
	#else
	Enable3dControlsStatic();
	#endif

	CIpSwitcherDlg sDlg;

	m_pMainWnd = &sDlg;
	
	sDlg.DoModal();


	NetExit();
	AfxUtilityExit();


return FALSE;
}
